%global momorel 1
%global anthy_ver 7900
%global prime_ver 1.0.0.1
%global emacsver 22.0.50
%global qtver 3.3.5
%global kdever 3.5.4
%global qtdir %{_libdir}/qt-%{qtver}
%global kdedir /usr
%global scim_ver 1.4.4
%global m17n_lib_ver 1.2.0

Summary: UIM is an input method library
Name: uim

### include local configuration
%{?include_specopt}

### default configurations
#  If you'd like to change these configurations, please copy them to
# ${HOME}/rpm/specopt/uim.specopt and edit it.

## Configuration
%{?!build_scim:       %global build_scim       0}
%{?!build_m17nlib:    %global build_m17nlib    0}

Version: 1.2.0
Release: %{momorel}m
License: GPL or BSD
URL: http://uim.freedesktop.org/
Group: Applications/System
%NoSource 0 http://uim.freedesktop.org/releases/%{name}-%{version}.tar.bz2 36161b60db7b0e2f334d36f40a8a1ed1
Source1: %{name}-qt.desktop
Source2: http://prime.sourceforge.jp/src/prime_2004-12-13.scm
Patch0: %{name}-1.1.0-use-threaded-qt.patch
Patch1: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: kinput2-wnn4
BuildPreReq: gtk+-devel >= 2.4.0, libbonobo-devel, perl-XML-Parser
BuildPreReq: ncurses-c++-devel, libgnome-devel, gnome-panel-devel
BuildPreReq: libxfcegui4-devel, pkgconfig
BuildPreReq: qt-devel = %{qtver}, kdelibs-devel >= %{kdever}
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: openssl-devel >= 0.9.8a
BuildPreReq: anthy >= %{anthy_ver}, Canna-devel, prime >= %{prime_ver}
BuildPreReq: eb-devel
BuildPreReq: autoconf, automake, libtool
%if %{build_scim}
BuildPreReq: scim-devel >= %{scim_ver}
%endif
%if %{build_m17nlib}
BuildPreReq: m17n-lib-devel >= %{m17n_lib_ver}
%endif

%description
The uim is a collection of input method for a lot of languages.

%package gtk
Summary: GNOME helper for uim
Group: User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: %{name}-xim = %{version}-%{release}
PreReq: gtk+ >= 2.4.0

%description gtk
GNOME helper for uim. It contains some apps like toolbar, 
system tray, applet, candidate window for Uim library.

%package qt
Summary: KDE helper for uim
Group: User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: %{name}-xim = %{version}-%{release}
Requires: %{name}-qtimmodule = %{version}-%{release}
Requires: kdelibs >= %{kdever}
Obsoletes: uim-kdehelper <= 0.1.0
Provides: uim-kdehelper = %{version}-%{release}

%description qt
KDE helper for uim. It contains some apps like toolbar, 
system tray, applet, candidate window for Uim library.

%package qtimmodule
Summary: A plugin for using UIM on qt-immodule
Group: User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: qt = %{qtver}
Obsoletes: uim-qt <= 0.2.0

%description qtimmodule
A plugin for using UIM on qt-immodule.

%package applet
Summary: IM applet for uim using gnome2.
Group: User Interface/X
Requires: gtk+ >= 2.4.0, libbonobo >= 2.2.0
Requires: %{name} = %{version}-%{release}

%description applet
Control applet using gnome2.

%package xim
Summary: XIM frontend for UIM
Group: User Interface/X
Requires: %{name} = %{version}-%{release}

%description xim
uim-xim is a XIM bridge of libuim.

%package fep
Summary: an Input Method for console
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description fep
uim-fep is a FEP (Front End Processer) using uim as backend.

%package emacs
Summary: a bridge software between Emacs and uim
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description emacs
uim-emacs(uim.el) is a bridge software between Emacs and uim.
uim-emacs(uim.el) makes you able to use uim supported IMs from
Emacs directly.

%package anthy
Summary: UIM plugin for Anthy
Group: Applications/System
PreReq: %{name} = %{version}-%{release}
Requires: anthy >= %{anthy_ver}

%description anthy
UIM plugin for Anthy.
Anthy is a Kana-Kanji conversion engine for Japanese.

%package canna
Summary: UIM plugin for Canna
Group: Applications/System
PreReq: %{name} = %{version}-%{release}
Requires: Canna

%description canna
UIM plugin for Canna.
Canna is a Kana-Kanji conversion engine for Japanese.

%if %{build_m17nlib}
%package m17nlib
Summary: UIM plugin for m17n library
Group: Applications/System
PreReq: %{name} = %{version}-%{release}
Requires: m17n-lib >= %{m17n_lib_ver}

%description m17nlib
UIM plugin for m17n library.
m17n library is a library for multilingualization.
%endif

%package prime
Summary: UIM plugin for PRIME
Group: Applications/System
PreReq: %{name} = %{version}-%{release}
Requires: prime >= %{prime_ver}

%description prime
UIM plugin for PRIME.
PRIME is a Kana-Kanji conversion engine for Japanese.

%package skk
Summary: UIM plugin for SKK
Group: Applications/System
PreReq: %{name} = %{version}-%{release}
Requires: skk-jisyo

%description skk
UIM plugin for SKK.
SKK is a Kana-Kanji conversion engine for Japanese.

%if %{build_scim}
%package scim
Summary: UIM plugin for SCIM
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: scim >= %{scim_ver}

%description scim
UIM plugin for SCIM.
Smart Common Input Method platform, in short SCIM, is a development
platform to make Input Method developer life easier. It honors a
very clear architecture and provides a pretty simple and powerful
programming interface.
%endif

%package devel
Summary: Headers of uim for development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
uim-devel package contains the header files and static libraries to
develop a libuim applications.

%prep
%setup -q

%patch0 -p1 -b .use-threaded-qt
%patch1 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIBDIR=%{qtdir}/lib

./autogen.sh

%configure \
	--with-canna \
	--with-prime \
%if %{build_scim}
	--with-scim \
%endif
	--with-eb \
%if ! %{build_m17nlib}
	--without-m17nlib \
%endif
	--with-qt-immodule \
	--with-qt \
	--enable-dict \
	--disable-rpath

%ifarch ia64
make CFLAGS="-O0 -fPIC -DPIC"
%endif
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit/xim.d/uim << EOF
NAME="UIM"
IM_EXEC="uim-xim"
XMODIFIERS=@im=uim
GTK_IM_MODULE=uim
QT_IM_MODULE=uim
export IM_EXEC XMODIFIERS GTK_IM_MODULE QT_IM_MODULE
EOF

# install uim-qt.desktop
mkdir -p %{buildroot}%{_datadir}/applications/kde
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/kde/

# # overwrite prime.scm
# install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/uim/prime.scm

# remove unneeded files
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.{a,la}
rm -f %{buildroot}/%{qtdir}/plugins/inputmethods/*.{a,la}

%if ! %{build_scim}
# remove scim*.scm (that is experimental)
rm -f %{buildroot}%{_datadir}/uim/scim*.scm
%endif

%if ! %{build_m17nlib}
# without m17nlib
rm -f %{buildroot}%{_datadir}/uim/m17nlib.scm
%endif

# remove mana module (Momonga Linux does not include mana yet)
rm -f %{buildroot}%{_datadir}/uim/mana.scm
rm -f %{buildroot}%{_datadir}/uim/mana-*.scm

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post gtk
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules

%postun gtk
if [ $1 = 0 ]; then
   gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
fi

%post qtimmodule
/sbin/ldconfig

%postun qtimmodule
/sbin/ldconfig

%post anthy
%{_bindir}/uim-module-manager --register anthy > /dev/null 2> /dev/null

%post canna
%{_bindir}/uim-module-manager --register canna > /dev/null 2> /dev/null

%if %{build_m17nlib}
%post m17nlib
%{_bindir}/uim-module-manager --register m17nlib > /dev/null 2> /dev/null
%endif

%post prime
%{_bindir}/uim-module-manager --register prime > /dev/null 2> /dev/null

%post skk
%{_bindir}/uim-module-manager --register skk > /dev/null 2> /dev/null

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README RELNOTE doc/DOT-UIM doc/KEY
%{_bindir}/uim-sh
%{_bindir}/uim-module-manager
%{_libdir}/*.so.*
%dir %{_libdir}/uim
%{_libdir}/uim/plugin/libuim-custom-enabler.so
%{_libexecdir}/uim-helper-server
%dir %{_datadir}/uim
%{_datadir}/uim/action.scm
%{_datadir}/uim/b*.scm
%{_datadir}/uim/custom*.scm
%{_datadir}/uim/d*.scm
%{_datadir}/uim/g*.scm
%{_datadir}/uim/h*.scm
%{_datadir}/uim/helperdata/*
%{_datadir}/uim/i*.scm
%{_datadir}/uim/j*.scm
%{_datadir}/uim/k*.scm
%{_datadir}/uim/l*.scm
%{_datadir}/uim/pinyin-big5.scm
%{_datadir}/uim/plugin.scm
%{_datadir}/uim/pixmaps/*
%{_datadir}/uim/py*.scm
%{_datadir}/uim/r*.scm
%{_datadir}/uim/spellcheck*.scm
%{_datadir}/uim/t*.scm
%{_datadir}/uim/u*.scm
%{_datadir}/uim/v*.scm
%{_datadir}/uim/z*.scm
%{_datadir}/locale/*/LC_MESSAGES/uim.mo

%files gtk
%defattr(-,root,root)
%{_bindir}/uim-*-gtk*
%{_bindir}/uim-input-pad-ja
%{_libexecdir}/uim-candwin-gtk
%{_libdir}/gtk-2.0/*/immodules/*.so
%{_datadir}/applications/uim.desktop

%files qt
%defattr(-,root,root)
%{_bindir}/uim-*-qt*
%{_libexecdir}/uim-candwin-qt
%{_datadir}/applications/kde/uim-qt.desktop
%{_datadir}/locale/*/LC_MESSAGES/uim-chardict-qt.mo

%files qtimmodule
%defattr(-,root,root)
%{qtdir}/plugins/inputmethods/*.so

%files applet
%defattr(-,root,root)
%{_libdir}/bonobo/servers/*
%{_libexecdir}/uim-toolbar-applet

%files xim
%defattr(-,root,root)
%doc xim/README
%{_bindir}/uim-xim
%{_mandir}/man1/uim-xim.1*
%{_sysconfdir}/X11/xinit/xim.d/uim

%files fep
%defattr(-,root,root)
%doc fep/COPYING fep/INSTALL fep/README*
%{_bindir}/uim-fep
%{_bindir}/uim-fep-tick

%files emacs
%defattr(-,root,root)
%doc emacs/COPYING emacs/README*
%{_bindir}/uim-el-agent
%{_bindir}/uim-el-helper-agent
%{_datadir}/emacs/site-lisp/uim-el

%files anthy
%defattr(-,root,root)
%{_libdir}/uim/plugin/*anthy*.so
%{_datadir}/uim/*anthy*.scm

%files canna
%defattr(-,root,root)
%{_libdir}/uim/plugin/*canna*.so
%{_datadir}/uim/*canna*.scm

%if %{build_m17nlib}
%files m17nlib
%defattr(-,root,root)
%{_datadir}/uim/*m17nlib*.scm
%{_libdir}/uim/plugin/*m17nlib*.so
%endif

%files prime
%defattr(-,root,root)
%{_libdir}/uim/plugin/*prime*.so
%{_datadir}/uim/*prime*.scm

%files skk
%defattr(-,root,root)
%{_libdir}/uim/plugin/*skk*.so
%{_datadir}/uim/*skk*.scm

%if %{build_scim}
%files scim
%defattr(-,root,root)
%{_libdir}/uim/plugin/*scim*.so
%{_datadir}/uim/*scim*.scm
%endif

%files devel
%defattr(-,root,root)
%doc doc/COMPATIBILITY doc/CUSTOM doc/HELPER-* doc/PLUGIN doc/UIM-*
%{_includedir}/uim
%{_libdir}/pkgconfig/*.pc
%{_libdir}/uim/plugin/libuim-*.la
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Sat Aug  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- version 1.2.0
- update desktop.patch

* Sat Jul  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1
- update desktop.patch
- --enable-dict

* Sat Jun 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-2m)
- modify Requires, Obsoletes and Provides of uim-qt

* Sat Jun 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-1m)
- version 1.1.0
- update use-threaded-qt.patch
- update desktop.patch
- remove kanji-key.patch

* Wed May 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-3m)
- use Qt threaded (default) libraries
- add uim-qt.desktop

* Mon Apr 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-2m)
- rebuild against openssl-0.9.8a

* Sat Dec 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1 (just a bug fix release for uim-xim when compiled with g++-4.x)

* Fri Dec 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-1m)
- version 1.0.0
- update desktop.patch
- remove anthy-use-with-vi.patch
- add a package uim-emacs

* Wed Oct 19 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.4.9.1-3m)
- enable ia64

* Fri Sep 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.1-2m)
- revise Patch10: uim-0.4.9.1-desktop.patch
- revise %%files section

* Thu Sep 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9.1-1m)
- version 0.4.9.1
- [SECURITY] http://lists.sourceforge.jp/mailman/archives/anthy-dev/2005-September/002466.html
- use specopt
- re-split packages
  uim-{gtk, qt, qtimmodule, xim, applet, fep, anthy, canna, m17nlib, prime, scim, skk}
- import and modify desktop.patch from VineSeedPlus
 +* Mon Jul 18 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.7-0vl2
 +- update uim.desktop (patch0)
 +* Tue Aug 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.8-0vl1
 +- update desktop.patch (patch0)
- update kanji-key.patch from VineSeedPlus
 +* Sun Jul 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.7-0vl1
 +- update kanji-key.patch (patch10)
- import uim-0.4.8-anthy-use-with-vi.patch from VineSeedPlus
 +* Tue Aug 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.8-0vl1
 +- update anthy-use-with-vi patch (patch11)
 +  - implemented in svn r1197

* Mon Aug  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.8-1m)
- version 0.4.8

* Tue Mar  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.6-1m)
- version 0.4.6
- import Source2: uim-update-imlist from uim-0.4.6-5ut.src.rpm
  (UT Extra Packages for Mandrake)
- add packages uim-{gtk, qt, qtimmodule, anthy, canna, prime, scim, skk}
- m17n-lib should be supported...
- prime should be updated to devel ver.

* Tue Mar  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.1-2m)
- update Source1: prime.scm
- use Source10: uim-0.4.5-ja.po again

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.5.1-1m)
- version 0.4.5.1
- [SECURITY] http://lists.freedesktop.org/archives/uim/2005-February/000996.html
- BuildPreReq: Canna-devel

* Wed Dec 15 2004 TAKAHASHI Tamotsu <tamo>
- (0.4.5-3m)
- add http://prime.sourceforge.jp/src/prime_2004-12-09.scm

* Fri Nov  5 2004 TAKAHASHI Tamotsu <tamo>
- (0.4.5-2m)
- PreReq: gtk+ (gtk-query-immodules-2.0)
- add /etc/X11/xinit/xim.d/uim
 [see http://tinyurl.com/4lrt9 (anthy wiki (ja))]
 [http://tinyurl.com/57wpl ([Anthy-dev 1136] (ja))]

* Sat Oct 30 2004 kourin <kourin@momonga-linux.org>
- (0.4.5-1m)
- version 0.4.5
- add patches from Vine package
- create uim-fep and uim-xim package and re-divide files
 
* Wed Sep 29 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.4.3-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Wed Sep 29 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.3-1m)
- version 0.4.3
 
* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2.1-3m)
- -n %%{name}-devel -> devel

* Wed Aug 11 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.2.1-2m)
- add BuildPrereq

* Wed Aug 4  2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.2.1-1m)
- version 0.4.2.1
 
* Sat Jul 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.0-1m)
- version 0.4.0
 
* Thu Jun 17 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.3.9-1m)
- version 0.3.9
 
* Fri Mar 5 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.3.1-1m)
- version 0.3.1
 
* Tue Feb 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.8-1m)
- version 0.2.8

* Tue Feb 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.7-1m)
- import from cooker

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- fix build

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- fix group
- fix not localized messages catalog
- add ldconfig call
- fix unpackaged files
- kill useless requires guessed by rpm
- mklibname support
- initial upload based on UTUMI Hirosi <utuhiro78@yahoo.co.jp> work

* Sun Jan 11 2004 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.4-1
- Version updated.

* Mon Dec 08 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.2.0-1
- Version updated.
- Deleted Serial number.
- Added uim.pc file.
* Mon Dec 01 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.7-1
- Version updated.
- Added uim-helper-toolbar-gtk to filelist.
- Changed URL to http://freedesktop.org/Software/uim.
* Tue Nov 25 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.6-1
- Version updated.
- Removed Canna-devel from BuildRequires.
* Mon Nov 10 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.5-1
- Version updated.
* Wed Nov 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.4.1-1
- Version updated.
- Moved libuim.so to devel package.
- Moved uim-helper-server to main package.
- Added uim-helper-candwin-gtk.
* Wed Oct 15 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.2-1
- Version updated.
* Sun Oct 12 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.1-1
- Version updated.
* Wed Oct 09 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.1.0-1
- Version updated.
- Changed Summary.
- Added documents.
- Divided applet and headers into the other packages.
- Deleted debug info.
* Mon Oct 06 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.9-1
- Version updated.
* Mon Sep 29 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.8-1
- Version updated.
* Mon Sep 22 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.7-1
- Version updated.
* Tue Sep 16 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.6-1
- Version updated.
* Wed Sep 11 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.5.1-1
- Version updated.
* Sun Sep 07 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.4-1
- Version updated.
* Fri Sep 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.3-1
- Version updated.
- Added uim-helper-server and uim-helper-applet to filelist.
* Sun Aug 31 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.2.1-1
- Version updated.
- Removed uim-comm-client and uim-comm-server.
* Wed Aug 27 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.1-1
- Version updated.
- Added serial for version number.
- Added uim-comm-client and uim-comm-server.
* Fri Aug 15 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2013-1
- Version updated.
- Added Japanese locale file.
* Tue Aug 12 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2010-1
- Version updated.
* Sun Aug 10 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2005-1
- Version updated.
- Removed --without-canna option at configure.
- Added Canna-devel to BuildRequires.
- Changed command for cleaning rpm_build_root because of the safety.
* Tue Aug 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2002-1
- Version updated.
- Used _prefix variable.
- Added uim-xim.
- Added BuildRequires.
* Sun Jul 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 1928-1
- Version updated.
* Sun Jul 05 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 1903-1
- Version updated.
- Added description.
* Sat Dec 07 2002 TABATA Yusuke <yusuke@localhost.localdomain>
- Initial build.
